ranges::protect_fn Struct Reference
Functional

## Public Member Functions

template<typename F >
| CPP_TEMPLATE_AUX_0 (requires ` std::is_bind_expression< uncvref_t< F >>::value) protector< uncvref_t< F >> operator()(F &&f) const
template<typename F >
| CPP_TEMPLATE_AUX_0 (requires `(!std::is_bind_expression< uncvref_t< F >>::value)) F operator()(F &&f) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.